<?php
namespace Bushelpowered\Api\Aggregator\Payments\V1\Response;
        
class RainforestSessionKey 
{
    /** @var string $sessionKey The Rainforest session key that will be used in the front end widgets*/
    public string $sessionKey;
    /** @var string $expiresAt The Rainforest session expires at of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $expiresAt;

    /**
     * @param  string  $sessionKey The Rainforest session key that will be used in the front end widgets
     * @param  string  $expiresAt The Rainforest session expires at of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $sessionKey, string $expiresAt)
    {
        $this->sessionKey = $sessionKey;
        $this->expiresAt = $expiresAt;
    }
    

}