<?php
namespace Bushelpowered\Api\Aggregator\Quoting\V1\Request;
        
class StaffGetFileImportsRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var null|\Bushelpowered\Api\Aggregator\Quoting\V1\Request\FileImportPagination $pagination */
    public ?\Bushelpowered\Api\Aggregator\Quoting\V1\Request\FileImportPagination $pagination = null;

    /**
     * @param  null|\Bushelpowered\Api\Aggregator\Quoting\V1\Request\FileImportPagination  $pagination 
     */
    public function __construct(?\Bushelpowered\Api\Aggregator\Quoting\V1\Request\FileImportPagination $pagination)
    {
        $this->pagination = $pagination;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Aggregator\Quoting\V1\Request\FileImportPagination 
     */
    public function getPagination(): ?\Bushelpowered\Api\Aggregator\Quoting\V1\Request\FileImportPagination
    {
        return $this->pagination;
    }
}