<?php
namespace Bushelpowered\Api\Iam\Access\Common\V1;
        
class LocationRef implements \Bushelpowered\Api\Iam\Access\Common\V1\HasTenantId
{
    /** @var string $locationId The id of the location.*/
    public string $locationId;
    /** @var string $tenantId The id of the tenant.*/
    public string $tenantId;

    /**
     * @param  string  $locationId The id of the location.
     * @param  string  $tenantId The id of the tenant.
     */
    public function __construct(string $locationId, string $tenantId)
    {
        $this->locationId = $locationId;
        $this->tenantId = $tenantId;
    }
    
    /**
     * @return string The id of the tenant.
     */
    public function getTenantId(): string
    {
        return $this->tenantId;
    }
}