<?php
namespace Bushelpowered\Api\Iam\Access\Common\V1;
        
class Permission 
{
    /** @var string $name The fully qualified permission name. Use the GetAllPermissions operation to see available options.*/
    public string $name;
    /** @var string $displayName A user-friendly name for the permission, typically more readable than the fully qualified permission name.*/
    public string $displayName;
    /** @var string $description A description of the permission.*/
    public string $description;

    /**
     * @param  string  $name The fully qualified permission name. Use the GetAllPermissions operation to see available options.
     * @param  string  $displayName A user-friendly name for the permission, typically more readable than the fully qualified permission name.
     * @param  string  $description A description of the permission.
     */
    public function __construct(string $name, string $displayName, string $description)
    {
        $this->name = $name;
        $this->displayName = $displayName;
        $this->description = $description;
    }
    

}