<?php
namespace Bushelpowered\Api\Iam\Access\Evaluate\V1\Request;
        
class BulkDeleteRoleBindingsRequest 
{
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\Subjectable $subject */
    public \Bushelpowered\Api\Iam\Access\Common\V1\Subjectable $subject;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\Domo\RoleSubjectTargetType $roleSubjectTargetType */
    public \Bushelpowered\Api\Iam\Access\Common\V1\Domo\RoleSubjectTargetType $roleSubjectTargetType;

    /**
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\Subjectable  $subject 
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\Domo\RoleSubjectTargetType  $roleSubjectTargetType 
     */
    public function __construct(\Bushelpowered\Api\Iam\Access\Common\V1\Subjectable $subject, \Bushelpowered\Api\Iam\Access\Common\V1\Domo\RoleSubjectTargetType $roleSubjectTargetType)
    {
        $this->subject = $subject;
        $this->roleSubjectTargetType = $roleSubjectTargetType;
    }
    

}