<?php
namespace Bushelpowered\Api\Trade\Esign\V1\Request;
        
class CreatedContractsReportRequest 
{
    /** @var null|string $startDate The starting date for the report. The report will include contracts created after this date. Defaults to the start of the current month. of yyyy-MM-dd format, IE: 2023-10-04*/
    public ?string $startDate = null;
    /** @var null|string $endDate The ending date for the report. The report will include contracts created before this date. Defaults to the present. of yyyy-MM-dd format, IE: 2023-10-04*/
    public ?string $endDate = null;

    /**
     * @param  null|string  $startDate The starting date for the report. The report will include contracts created after this date. Defaults to the start of the current month. of yyyy-MM-dd format, IE: 2023-10-04
     * @param  null|string  $endDate The ending date for the report. The report will include contracts created before this date. Defaults to the present. of yyyy-MM-dd format, IE: 2023-10-04
     */
    public function __construct(?string $startDate, ?string $endDate)
    {
        $this->startDate = $startDate;
        $this->endDate = $endDate;
    }
    

}